from typing import Literal, Callable

from pyspark.sql import Column

S3_Bucket = Literal[
    "trendshare-facebook-groups", "trendshare-reddit", "trendshare-subreddits"
]

Merge_Strategy = Literal["keep-oldest", "keep-newest"]

Canonical = list[tuple[str, Callable[[Column], Column]]]
